com.taosdata.jdbc.tmq

## Class ReferenceDeserializer<V>

- java.lang.Object
- - com.taosdata.jdbc.tmq.ReferenceDeserializer<V>

All Implemented Interfaces:
  Deserializer<V>, Closeable, AutoCloseable

    public class ReferenceDeserializer<V>
    extends Object
    implements Deserializer<V>

### Constructor Summary

Constructors
Constructor and Description
`ReferenceDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(Map<?,?> configs)`
`V` `deserialize(ResultSet data, String topic, String dbName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.taosdata.jdbc.tmq.Deserializer

`close`

### Constructor Detail

#### ReferenceDeserializer

    public ReferenceDeserializer()

### Method Detail

#### configure

    public void configure(Map<?,?> configs)

Specified by:
  `configure` in interface `Deserializer<V>`

#### deserialize

    public V deserialize(ResultSet data,
                         String topic,
                         String dbName)
                  throws DeserializerException,
                         SQLException

Specified by:
  `deserialize` in interface `Deserializer<V>`
Throws:
  `DeserializerException`
  `SQLException`